#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include "s2plot.h"

int main(int argc, char *argv[])
{
   int i;					/* Loop variable */
   int N = 100;					/* Number of points */
   float x[100], y[100], z[100];		/* Coordinates of points */
   int symbol = 1;				/* Point symbol */
   int col1, col2;				/* Colour index range */

   srand48((long)time(NULL));			/* Seed random numbers */
   for (i=0;i<N;i++) {
      x[i] = drand48()*2.0 - 1.0;
      y[i] = drand48()*2.0 - 1.0;
      z[i] = drand48()*2.0 - 1.0;
   }

   s2opend("/?",argc, argv);			/* Open the display */
   s2swin(-1.,1., -1.,1., -1.,1.);		/* Set the window coordinates */
   s2box("BCDET",0,0,"BCDET",0,0,"BCDET",0,0);	/* Draw coordinate box */

   s2slw(5);					/* Sets size of point */
   s2qcir(&col1, &col2);			/* Query the colour range */
   
   col1 = col2;				
   col2 = col2 + N;
   s2scir(col1, col2);				/* Set the colour index range */
   s2icm("mgreen", col1, col2);			/* Install a colour map */

   for (i=0;i<N;i++) {
      s2sci(col1+i);				/* Set the colour */
      s2pt1(x[i],y[i],z[i],symbol);		/* Draw a single point */
   }
   s2show(1);					/* Open the s2plot window */
   
   return 1;
}
